Loading...
Searching...
No Matches
casacore::IPosition_global_functions_IPosition_Logical Struct Reference
casa package (libcasa_casa) » Arrays_module

Logical operations for IPosition's Element by element boolean operations on IPositions. More...

`#include <IPosition.h>`

## Public Member Functions

bool | operator== (const IPosition &left, const IPosition &right)
| Each operation is done on corresponding elements of the IPositions.
bool | operator!= (const IPosition &left, const IPosition &right)
bool | operator< (const IPosition &left, const IPosition &right)
bool | operator<= (const IPosition &left, const IPosition &right)
bool | operator> (const IPosition &left, const IPosition &right)
bool | operator>= (const IPosition &left, const IPosition &right)
bool | operator== (const IPosition &left, ssize_t val)
| Each operation is done by appliying the integer argument to all elements.
bool | operator!= (const IPosition &left, ssize_t val)
bool | operator< (const IPosition &left, ssize_t val)
bool | operator<= (const IPosition &left, ssize_t val)
bool | operator> (const IPosition &left, ssize_t val)
bool | operator>= (const IPosition &left, ssize_t val)
bool | operator== (ssize_t val, const IPosition &right)
| Same functions as above but with with the int argument on the left side.
bool | operator!= (ssize_t val, const IPosition &right)
bool | operator< (ssize_t val, const IPosition &right)
bool | operator<= (ssize_t val, const IPosition &right)
bool | operator> (ssize_t val, const IPosition &right)
bool | operator>= (ssize_t val, const IPosition &right)

## Detailed Description

Logical operations for IPosition's Element by element boolean operations on IPositions.

The result is true only if the operation yields true for every element of the IPosition.

Definition at line 492 of file IPosition.h.

## Member Function Documentation

## operator!=() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator!= | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator!=() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator!= | ( | const IPosition & | left,
|  | ssize_t | val )

## operator!=() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator!= | ( | ssize_t | val,
|  | const IPosition & | right )

## operator<() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator< | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator<() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator< | ( | const IPosition & | left,
|  | ssize_t | val )

## operator<() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator< | ( | ssize_t | val,
|  | const IPosition & | right )

## operator<=() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator<= | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator<=() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator<= | ( | const IPosition & | left,
|  | ssize_t | val )

## operator<=() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator<= | ( | ssize_t | val,
|  | const IPosition & | right )

## operator==() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator== | ( | const IPosition & | left,
|  | const IPosition & | right )

Each operation is done on corresponding elements of the IPositions.

The two IPositions must have the same number of elements otherwise an exception (ArrayConformanceError) will be thrown.

## operator==() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator== | ( | const IPosition & | left,
|  | ssize_t | val )

Each operation is done by appliying the integer argument to all elements.

## operator==() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator== | ( | ssize_t | val,
|  | const IPosition & | right )

Same functions as above but with with the int argument on the left side.

## operator>() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator> | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator>() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator> | ( | const IPosition & | left,
|  | ssize_t | val )

## operator>() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator> | ( | ssize_t | val,
|  | const IPosition & | right )

## operator>=() [1/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator>= | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator>=() [2/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator>= | ( | const IPosition & | left,
|  | ssize_t | val )

## operator>=() [3/3]

bool casacore::IPosition_global_functions_IPosition_Logical::operator>= | ( | ssize_t | val,
|  | const IPosition & | right )

The documentation for this struct was generated from the following file:

- casa/Arrays/IPosition.h